Bug 130757 - SystemError: pvcreate failed
SystemError: pvcreate failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 09:05 EDT by Paul Nasrat
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 10:54:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump file (569.77 KB, text/plain)
2004-08-24 09:06 EDT, Paul Nasrat
no flags Details

  None (edit)
Description Paul Nasrat 2004-08-24 09:05:31 EDT
Description of problem:

Traceback (most recent call last):
  File "/usr/src/build/442092-ppc/install//usr/lib/anaconda/gui.py",
line 1058, in handleRenderCallback
    self.currentWindow.renderCallback()
  File
"/usr/src/build/442092-ppc/install//usr/lib/anaconda/iw/progress_gui.py",
line 242, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/src/build/442092-ppc/install//usr/lib/anaconda/gui.py",
line 773, in nextClicked
    self.dispatch.gotoNext()
  File
"/usr/src/build/442092-ppc/install//usr/lib/anaconda/dispatch.py",
line 170, in gotoNext
    self.moveStep()
  File
"/usr/src/build/442092-ppc/install//usr/lib/anaconda/dispatch.py",
line 238, in moveStep
    rc = apply(func, self.bindArgs(args))
  File
"/usr/src/build/442092-ppc/install//usr/lib/anaconda/packages.py",
line 542, in turnOnFilesystems
    thefsset.createLogicalVolumes(instPath)
  File "/usr/src/build/442092-ppc/install//usr/lib/anaconda/fsset.py",
line 1361, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/src/build/442092-ppc/install//usr/lib/anaconda/fsset.py",
line 1918, in setupDevice
    raise SystemError, "pvcreate failed for %s" % (volume,)
SystemError: pvcreate failed for <fsset.PartitionDevice instance at
0xf7bd63a0>


Version-Release number of selected component (if applicable):

anaconda-10.0.2-0.20040823182356

How reproducible:

Not tried

Steps to Reproduce:
1. install
2. autopartition (2 disks using lvm)
3. select packages
  
Actual results:

Traceback


Expected results:

Works

Additional info:

pSeries over vnc - with RHupdates/lvm.py from anaconda-HEAD
Comment 1 Paul Nasrat 2004-08-24 09:06:49 EDT
Created attachment 103023 [details]
Anaconda dump file

Apologies if it's munged I had to dump off using nc
Comment 2 Jeremy Katz 2004-08-24 11:40:16 EDT
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.